<?php

namespace App\Domains\UserManagement\Actions\UserChangePassword;


class UserChangePasswordCommand {
    private UserChangePasswordRequest $request;

    public function __construct(UserChangePasswordRequest $request)
    {
        $this->request = $request;
    }

    public function execute() : UserChangePasswordResponse {
        $response = new UserChangePasswordResponse();

        $this->request->user->password = $this->request->newPassword;
        $this->request->user->save();

        $response->success = true;
        return $response;
    }
}
